Subject: Re: FW: ssthressh

From: Randall Stewart <[email-masked]>
Date: Wed, 29 Jun 2005 16:28:37 -0400

Brian F. G. Bidulock wrote:
> Randall,
> 
> On Wed, 29 Jun 2005, Randall Stewart wrote:
> 
> 
>>Haresign Lincoln wrote:
>>
>>>OK...I think I understand.  Let me go back and look at my algorithms.
>>>
>>>I have another question with regards to multihoming but related to
>>>congestion.  Let's assume that you have two destination addresses in a
>>>multi-homed association and you have experienced no retransmission.
>>>When sending data, should you always send over the "primary path"?  Or,
>>>everytime you want to send a packet, should you look at all the
>>>variables associated with each destination address (cwnd,
>>>bytes_in_flight, etc...) and choose the best path at that moment?
>>
>>You should use the primary destination.. unless the Upper layer
>>as instructed you differently...
> 
> 
> Unless you are doing CMT and know what you are doing...

Yep... but just like in BSD land... its a flag you must
sysctl on.. to say:

A) yes I know what I am doing
and
B) yes I know the paths do not share a bottleneck...

Once the shared bottleneck detection algorithms are fully
worked out ... then we can actuall do it as a standard thing :-D

R
> 
> 
>>>If I'm always sending over the primary, this means that I should only
>>>see heartbeats and retransmissions on the secondary short of a complete
>>>failure of the primary path.  
>>
>>Yep... or if you go idle and have nothing to send the primary
>>may also get HB's
> 
> 
> Unless you are doing CMT and know what you are doing...
> 
> 

-- 
Randall Stewart
ITD - Cisco Systems Inc.
803-345-0369 <or> 815-342-5222 (cell)